---
title: GST Authentication
description: This api is for validating a GST number.
---

This api is for validating a GST number. We have to pass GST number in request. If the request is valid, we will get a success response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/gst-verification
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| affiliate | Text | Will be provided by Airpay (required) |
| checksum | Text | $string = $param.self::$secret_key; (required) |
| api-key | Text | Will be provided by airpay ( required) |
| processor-key | Text | Will be provided by airpay ( required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| gstin | Text | GST number (length 15, required) |
## Request-Example: 

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/gst-verification' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'gstin=18ABCDU9604A1BC'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Numeric | 400- fail,200-success(length 3) |
| message | Text | success, fail |
| data | Text | { "stjCd": "AS123", "lgnm": "AU SMALL FINANCE BANK LIMITED", "stj": "CHERTHALA - A - 1", "dty": "Regular", "adadr": [ { "addr": "NA", "ntr": "Office / Sale Office, Supplier of Services", "adr": "Mirza store, Mavelikkara PO, Dist-Kamrup, Assam, pin: 781125", "em": "", "lastUpdatedDate": "NA", "mb": "" }, { "addr": "NA", "ntr": "Recipient of Goods or Services, Supplier of Services", "adr": "Pathsala - 3568, House No -123,, Station road,Pathsala, NR SBI branch Dist, Barpeta, Assam, pin: 781325", "em": "", "lastUpdatedDate": "NA", "mb": "" }, { "addr": "NA", "ntr": "Recipient of Goods or Services, Supplier of Services", "adr": "Baroda Lane, GHHospital Road, pathirappally, Kannur, pin: 712345", "em": "", "lastUpdatedDate": "NA", "mb": "" } ], "cxdt": "", "gstin": "18ABCDU9604A1BC", "nba": [ "Retail Business", "Supplier of Services", "Recipient of Goods or Services", "Office / Sale Office", "Others" ], "lstupdt": "13/10/2021", "rgdt": "30/10/2018", "ctb": "Public Limited Company", "pradr": { "addr": "NA", "ntr": "Supplier of Services, Recipient of Goods or Services,Others", "adr": "Prithivi complex, vijay Nagar, opp. KFC building, Thrissur, pin: 781090", "em": "", "lastUpdatedDate": "NA", "mb": "" }, "tradeNam": "AU SMALL FINANCE BANK LIMITED", "sts": "Active", "ctjCd": "UQ0101", "ctj": "I-A RANGE", "mbr": [], "canFlag": "NA", "cmpRt": "NA", "contacted": { "email": null, "mobNum": null, "name": null }, "ppr": "NA" } |
## Success-Response:

```
{
    "status": "200",
    "message": "success",
    "data": {
        "stjCd": "AS123",
        "lgnm": "AU SMALL FINANCE BANK LIMITED",
        "stj": "CHERTHALA - A - 1",
        "dty": "Regular",
        "adadr": [
            {
                "addr": "NA",
                "ntr": "Office / Sale Office, Supplier of Services",
                "adr": "Mirza store, Mavelikkara PO, Dist-Kamrup, Assam, pin: 781125",
                "em": "",
                "lastUpdatedDate": "NA",
                "mb": ""
            },
            {
                "addr": "NA",
                "ntr": "Recipient of Goods or Services, Supplier of Services",
                "adr": "Pathsala - 0101, House No -123,, Station road,Pathsala, NR SBI branch Dist, Barpeta, Assam, pin: 781325",
                "em": "",
                "lastUpdatedDate": "NA",
                "mb": ""
            },
            {
                "addr": "NA",
                "ntr": "Recipient of Goods or Services, Supplier of Services",
                "adr": "Baroda Lane, GHHospital Road, pathirappally, Kannur, pin: 712345",
                "em": "",
                "lastUpdatedDate": "NA",
                "mb": ""
            }
        ],
        "cxdt": "",
        "gstin": "18ABCDU9604A1BC",
        "nba": [
            "Retail Business",
            "Supplier of Services",
            "Recipient of Goods or Services",
            "Office / Sale Office",
            "Others"
        ],
        "lstupdt": "13/10/2021",
        "rgdt": "30/10/2018",
        "ctb": "Public Limited Company",
        "pradr": {
            "addr": "NA",
            "ntr": "Supplier of Services, Recipient of Goods or Services, Others",
            "adr": "Prithivi complex, vijay Nagar, opp. KFC building, Thrissur, pin: 781090",
            "em": "",
            "lastUpdatedDate": "NA",
            "mb": ""
        },
        "tradeNam": "AU SMALL FINANCE BANK LIMITED",
        "sts": "Active",
        "ctjCd": "UQ0101",
        "ctj": "I-A RANGE",
        "mbr": [],
        "canFlag": "NA",
        "cmpRt": "NA",
        "contacted": {
            "email": null,
            "mobNum": null,
            "name": null
        },
        "ppr": "NA"
    }
}
```
## Error-Response:

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```